<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Block\Adminhtml\Carousel\Edit\Tab;

use Magento\Framework\View\Element\Template;

/**
 * Class General
 */
class SlideContainer extends \Magento\Framework\View\Element\Text\ListText implements \Magento\Backend\Block\Widget\Tab\TabInterface
{
    /**
     * Prepare label for tab
     *
     * @return \Magento\Framework\Phrase
     */
    public function getTabLabel()
    {
        return __('Slide 1');
    }

    /**
     * Prepare title for tab
     *
     * @return \Magento\Framework\Phrase
     */
    public function getTabTitle()
    {
        return __('Slide 1');
    }

    /**
     * {@inheritdoc}
     */
    public function canShowTab()
    {
        return true;
    }

    /**
     * {@inheritdoc}
     */
    public function isHidden()
    {
        return false;
    }

    protected function _toHtml()
    {
        return parent::_toHtml();
    }



//    protected function _toHtml()
//    {
//        return $this->getChildHtml();
//    }



//    protected function _toHtml()
//    {
//        if ($this->getRequest()->getParam('ajax')) {
//            return parent::_toHtml();
//        }
//        return $this->_getFormMessages() . parent::_toHtml();
//    }
//
//    protected function _getFormMessages()
//    {
//        $html = '<div id="messages"><div class="messages">';
//        foreach ($this->getFormMessages() as $formMessage) {
//            $html .= '<div class="message message-' . $formMessage['type'] . ' ' . $formMessage['type'] . '"><div>' . $formMessage['message'] . '</div></div>';
//        }
//        $html .= '</div></div>';
//        return $html;
//    }
}